Subject: [clisp-list] next build problem

From: [email-masked] (Don Cohen)
Date: Tue Sep 16 11:36:10 2003

Having given up for now on the really obsolete linux, I try to build
on another one, I think a pretty standard redhat - 2.2.16-22smp.

Everything seems to be going fine until

 (CONVERT-STRING-FROM-BYTES '#(255 254 65 0 13) (MAKE-ENCODING :CHARSET "utf-16" :INPUT-ERROR-ACTION :ERROR)) 
 UNIX error 84 (EILSEQ): Invalid multibyte or wide character
 EQL-OK: ERROR
 (IF *NO-ICONV-P* "AZ" (CONVERT-STRING-FROM-BYTES '#(255 254 65 0 13) (MAKE-ENCODING :CHARSET "utf-16" :INPUT-ERROR-ACTION #\Z))) 
 ERROR!! "
 *** - Character #\uFEFF cannot be represented in the character set CHARSET:ISO-8859-1
 Real time: 110.750336 sec.
 Run time: 104.26 sec.
 Space: 31377576 Bytes
 GC: 53, GC time: 5.63 sec.
 Bye.
 make[1]: *** [tests] Error 1
 make[1]: Leaving directory `/root/clisp/clisp-2.31/src/suite'
 make: *** [testsuite] Error 2

Any ideas?

BTW, the last thing I had typed before that was
 make check
which evidently now contains checksuite.  This suggests a change to
unix/INSTALL which now says
 8. (Optionally)
   Two more tests for CLISP. Let the compiler (now compiled!) recompile itself:

         make test

   Check whether CLISP passes the test suite:

         make testsuite